cascading.flow.stream.element

## Class SourceStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<Void,TupleEntry>
      - - cascading.flow.stream.element.SourceStage

- All Implemented Interfaces:
    ElementDuct, InputSource, Callable<Throwable>

      public class SourceStage
      extends ElementStage<Void,TupleEntry>
      implements Callable<Throwable>, InputSource

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceStage(FlowProcess flowProcess, Tap source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `call()`
    `Tap` | `getSource()`
    `void` | `initialize()` Called immediately after bind
    `void` | `receive(Duct previous, Void nada)`
    `void` | `run(Object input)`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, complete, getNext, getNextFor, prepare, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceStage

          public SourceStage(FlowProcess flowProcess,
                     Tap source)

  - ### Method Detail

    - #### getSource

          public Tap getSource()

    - #### call

          public Throwable call()
                         throws Exception

      Specified by:
        `call` in interface `Callable<Throwable>`
      Throws:
        `Exception`

    - #### run

          public void run(Object input)
                   throws Throwable

      Specified by:
        `run` in interface `InputSource`
      Throws:
        `Throwable`

    - #### initialize

          public void initialize()

      Description copied from class: `Duct`
      Called immediately after bind
      Overrides:
        `initialize` in class `Duct<Void,TupleEntry>`

    - #### receive

          public void receive(Duct previous,
                     Void nada)

      Overrides:
        `receive` in class `Stage<Void,TupleEntry>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.